import json

def clearRedis(redisServer):
    pathList=[]
    path = '/SANS/workspace/MantidData/xy_image/x'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/xy_image/y'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/xy_image/value'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/tof'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/counts'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/wavelength'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/wcounts'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/q'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/raw/intensity'
    pathList.append(path)

    for i in range(120):
	path='/SANS/workspace/MantidData/tube'+str(i+1)+'/xy_image/x'
	pathList.append(path)
	path='/SANS/workspace/MantidData/tube'+str(i+1)+'/xy_image/y'
	pathList.append(path)
	path='/SANS/workspace/MantidData/tube'+str(i+1)+'/xy_image/value'
	pathList.append(path)
	path='/SANS/workspace/MantidData/tube'+str(i+1)+'/tof'
	pathList.append(path)
	path='/SANS/workspace/MantidData/tube'+str(i+1)+'/counts'
	pathList.append(path)

    path = '/SANS/workspace/MantidData/monitor1/axis_x'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor1/axis_y'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor1/value'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor1/tof'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor1/counts'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor2/tof'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor2/counts'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor3/tof'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/monitor3/counts'
    pathList.append(path)

    path = '/SANS/workspace/MantidData/IQxy/x'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/IQxy/y'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/IQxy/counts'
    pathList.append(path)

    path= '/SANS/workspace/MantidData/raw/wavelength'
    pathList.append(path)
    path= '/SANS/workspace/MantidData/raw/transmission'
    pathList.append(path)
    path= '/SANS/workspace/MantidData/monitor1/neutroncounts'
    pathList.append(path)
    path= '/SANS/workspace/MantidData/monitor2/neutroncounts'
    pathList.append(path)
    path= '/SANS/workspace/MantidData/monitor3/neutroncounts'
    pathList.append(path)
    path= '/SANS/workspace/MantidData/neutroncounts'
    pathList.append(path)

    '''
    path = '/SANS/drone/proton_charge'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/neutron_counts/time'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/neutron_counts/value'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/pulse_charge/time'
    pathList.append(path)
    path = '/SANS/workspace/MantidData/pulse_charge/value'
    pathList.append(path)
    path = '/SANS/workspace/mantidData/monitor/neutroncounts'
    pathList.append(path)
    '''
    for i in range(len(pathList)):
        redisServer.set(pathList[i], json.dumps('clear'))
	
